## grendel.ui
Class MessageListTransferable

    java.lang.Object
      |
      +--grendel.ui.MessageListTransferable

public class MessageListTransferable
extends java.lang.Object
implements java.awt.datatransfer.Transferable

Constructor Summary
`MessageListTransferable(java.util.Vector aList)`

Method Summary
`java.util.Vector` | `getMessageList()`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor aFlavor)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor aFlavor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageListTransferable

    public MessageListTransferable(java.util.Vector aList)

Method Detail

### getMessageList

    public java.util.Vector getMessageList()

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor aFlavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    getTransferData in interface java.awt.datatransfer.Transferable

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    getTransferDataFlavors in interface java.awt.datatransfer.Transferable

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor aFlavor)

  Specified by:
    isDataFlavorSupported in interface java.awt.datatransfer.Transferable